Package org.eclipse.emf.cdo.common.lock

# Enum Class CDOLockDelta.Kind

java.lang.Object
java.lang.Enum<CDOLockDelta.Kind>
org.eclipse.emf.cdo.common.lock.CDOLockDelta.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOLockDelta.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  `CDOLockDelta`

public static enum CDOLockDelta.Kind extends Enum<CDOLockDelta.Kind>
Enumerates the `kinds` of lock deltas.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDED`
`REMAPPED`
`REMOVED`

## Method Summary

Modifier and Type
Method
Description
`static CDOLockDelta.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOLockDelta.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADDED

public static final CDOLockDelta.Kind ADDED

### REMOVED

public static final CDOLockDelta.Kind REMOVED

### REMAPPED

public static final CDOLockDelta.Kind REMAPPED

## Method Details

### values

public static CDOLockDelta.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOLockDelta.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null